Bug 907029 - Unable to Retrieve Reports
Unable to Retrieve Reports
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: REST (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.6
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-02 14:17 EST by Fernando Ribeiro
Modified: 2013-08-31 06:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:12:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fernando Ribeiro 2013-02-02 14:17:02 EST
Description of problem:

All attempts to retrieve reports fail with the following message:

com.sun.jersey.api.client.UniformInterfaceException: GET http://localhost:7080/coregui/reports/alertDefinitions returned a response status of 503 Service Unavailable
	at com.sun.jersey.api.client.WebResource.handle(WebResource.java:686)
	at com.sun.jersey.api.client.WebResource.access$200(WebResource.java:74)
	at com.sun.jersey.api.client.WebResource$Builder.method(WebResource.java:621)

Version-Release number of selected component (if applicable):

4.5.1

How reproducible:

Steps to Reproduce:
1. Retrieve a report
2. Verify error message
  
Actual results:

The report is not returned.

Expected results:

The report is returned.

Additional info:
Comment 1 Heiko W. Rupp 2013-02-04 03:56:38 EST
Those reports are meant to be served from a user looking at coregui.
I will add access from the normal /rest/ module that uses the normal rest-api auth mechanism
Comment 2 Fernando Ribeiro 2013-02-04 10:43:31 EST
Great, thanks!
Comment 3 Heiko W. Rupp 2013-02-06 06:41:43 EST
Reports are now available at /rest/reports

That endpoint also lists the available reports.
The main index links to that endpoint.
Tests have been added
Docs generator has bee overhauled

master e4493c7
Comment 4 Fernando Ribeiro 2013-02-09 17:08:14 EST
Great, thanks!
Comment 5 Heiko W. Rupp 2013-08-31 06:12:51 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.